# Generated by Django 3.0.5 on 2020-06-03 12:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('appointments', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Notification',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(verbose_name='Когда напомнить')),
                ('type', models.CharField(choices=[('info', 'Инфо'), ('call', 'Звонок')], default='info', max_length=32, verbose_name='Тип напоминания')),
                ('is_active', models.BooleanField(default=True, verbose_name='Активно')),
                ('text', models.TextField(blank=True, default='', null=True, verbose_name='Текст напоминания')),
                ('appointment', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='appointments.Appointment', verbose_name='Запись на приём')),
            ],
            options={
                'verbose_name': 'напоминание',
                'verbose_name_plural': 'напоминания',
                'ordering': ['date'],
            },
        ),
    ]
